# Generated from webfontloader-1.6.28.gem by gem2rpm -*- rpm-spec -*-
%global gem_name webfontloader

Name: rubygem-%{gem_name}
Version: 1.6.28
Release: 1%{?dist}
Summary: WebFont Loader gives you added control when using linked fonts via @font-face
License: Apache-2.0
URL: http://github.com/typekit/webfontloader
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rack) >= 1.5
# BuildRequires: rubygem(rack) < 2
# BuildRequires: rubygem(rack) >= 1.5.1
# BuildRequires: rubygem(sinatra) >= 1.3
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(sinatra) >= 1.3.4
# BuildRequires: rubygem(vegas) >= 0.1.11
# BuildRequires: rubygem(vegas) < 0.2
BuildArch: noarch

%description
WebFont Loader gives you added control when using linked fonts via
`@font-face`. It provides a common interface to loading fonts regardless of
the source, then adds a standard set of events you may use to control the
loading experience.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/bower.json
%{gem_instdir}/browsers.json
%{gem_instdir}/externs.js
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/src
%{gem_instdir}/tools
%{gem_instdir}/webfontloader.js
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/webfontloader.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.6.28-1
- Initial package
